Bug 401119 - Context menu of Trash icon on desktop shows "Empty trash bin" instead "Empty trash"
Summary: Context menu of Trash icon on desktop shows "Empty trash bin" instead "Empty ...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.14.2
Platform: Archlinux Linux
: NOR normal
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-16 19:33 UTC by Patrick Silva
Modified: 2018-11-21 15:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (131.18 KB, image/png)
2018-11-16 19:33 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-11-16 19:33:49 UTC
Created attachment 116358 [details]
screenshot

STEPS TO REPRODUCE
1. open Dolphin, drag "Trash" from places panel to your desktop
2. send some file to trash
3. right click on the "Trash" icon added to your desktop

OBSERVED RESULT
option "Empty trash bin" is available, see my screenshot.

EXPECTED RESULT
context menu should show "Empty trash" as it does when "Trash" is right-clicked
in Dolphin places panel.

SOFTWARE/OS VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.14.3
Qt Version: 5.12.0 beta4
KDE Frameworks Version: 5.52.0
Comment 1 Nate Graham 2018-11-19 21:40:51 UTC
Do you happen to have British English set as a fallback language?
Comment 2 Patrick Silva 2018-11-19 22:25:45 UTC
(In reply to Nate Graham from comment #1)
> Do you happen to have British English set as a fallback language?

No.
Comment 3 David Edmundson 2018-11-21 15:31:54 UTC
Git commit 5bea4b98ad009ae48befb4095423eac519fe7886 by David Edmundson.
Committed on 21/11/2018 at 15:31.
Pushed by davidedmundson into branch 'master'.

Sync text for empty trash

Summary:
Copying src/widgets/jobuidelegate.cpp it's "empty trash"

Test Plan: Literally none

Reviewers: #plasma, broulik

Reviewed By: #plasma, broulik

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D17041

M  +1    -1    containments/desktop/plugins/folder/foldermodel.cpp

https://commits.kde.org/plasma-desktop/5bea4b98ad009ae48befb4095423eac519fe7886